#### Previous topic

scipy.sparse.csr_matrix.arctanh

#### Next topic

scipy.sparse.csr_matrix.argmin

# scipy.sparse.csr_matrix.argmax

`csr_matrix.``argmax`(axis=None, out=None)

  Return indices of minimum elements along an axis.

  Implicit zero elements are also taken into account. If there are several maximum values, the index of the first occurrence is returned.

  Parameters:

  axis : {-2, -1, 0, 1, None}, optional

  > Axis along which the argmax is computed. If None (default), index of the maximum element in the flatten data is returned.

  out : None, optional

  > This argument is in the signature solely for NumPy compatibility reasons. Do not pass in anything except for the default value, as this argument is not used.

  Returns:

  ind : np.matrix or int

  > Indices of maximum elements. If matrix, its size along axis is 1.